package xunit;

import java.lang.reflect.Method;

public class TestCase {

	protected String methodName;

	protected TestCase(String methodName) {
		this.methodName = methodName;
	}

	protected void run(TestResult result) {
		result.testStarted();

		setUp();
		try {
			Method method = this.getClass().getMethod(methodName, null);
			method.invoke(this, null);
		} catch (Exception e) {
			result.testFailed();
			System.out.println(e.toString());
		} finally {
			tearDown();
		}
	}

	public void setUp() {
	}

	protected void tearDown() {
	}

}
