package xunit;

import java.lang.reflect.Method;
import java.util.ArrayList;
import java.util.List;

public class TestSuite {

	List<TestCase> tests;

	public TestSuite() {
		tests = new ArrayList<TestCase>();
	}

	public TestSuite(Class<?> testClass) {
		this();
		addAllTestMethod(testClass);
	}

	public void add(TestCase test) {
		tests.add(test);
	}

	public void run(TestResult result) {
		for (TestCase test : tests) {
			test.run(result);
		}
		System.out.println("\n" + result.summary());
	}

	public void addAllTestMethod(Class<?> testClass) {
		Method[] methods = testClass.getMethods();

		for (Method method : methods) {
			if (method.getName().startsWith("test")) {
				add(new TestCaseTest(method.getName()));
			}
		}
	}
}
