package xunit;

import static xunit.AssertionModule.*;

public class TestCaseTest extends TestCase {

	TestCaseTest(String methodName) {
		super(methodName);
	}

	public void testTemplateMethod() {
		TestResult result = new TestResult();
		WasRun sut = new WasRun("testMethod");

		sut.run(result);
		assertEquals("setUp testMethod tearDown ", sut.log);
	}

	public void testResult() {
		TestResult result = new TestResult();
		WasRun sut = new WasRun("testMethod");

		sut.run(result);
		assertEquals("1 run, 0 failed", result.summary());
	}

	public void testFailedResult() {
		TestResult result = new TestResult();
		WasRun sut = new WasRun("testBrokenMethod");

		sut.run(result);
		assertEquals("1 run, 1 failed", result.summary());
	}

	public void testFailedResultFormatting() {
		TestResult sut = new TestResult();
		sut.testStarted();
		sut.testFailed();
		assertEquals("1 run, 1 failed", sut.summary());
	}

	public static void main(String args[]) {
		TestSuite suite = new TestSuite(TestCaseTest.class);
		suite.run(new TestResult());
	}

}
